org.apache.fop.util.text

## Class GlyphNameFieldPart

- java.lang.Object
- - org.apache.fop.util.text.GlyphNameFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

    public class GlyphNameFieldPart
    extends Object
    implements AdvancedMessageFormat.Part

Function formatting a character to a glyph name.

### Nested Class Summary

Nested Classes
`static class` `GlyphNameFieldPart.Factory` Factory for `GlyphNameFieldPart`.

### Constructor Summary

Constructors
Constructor and Description
`GlyphNameFieldPart(String fieldName)` Creates a new glyph name field part

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isGenerated(Map params)`
`String` `toString()`
`void` `write(StringBuffer sb, Map params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GlyphNameFieldPart

    public GlyphNameFieldPart(String fieldName)

Creates a new glyph name field part

Parameters:
  `fieldName` - the field name

### Method Detail

#### isGenerated

    public boolean isGenerated(Map params)

Specified by:
  `isGenerated` in interface `AdvancedMessageFormat.Part`

#### write

    public void write(StringBuffer sb,
                      Map params)

Specified by:
  `write` in interface `AdvancedMessageFormat.Part`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`